image: maven:3

cache:
  paths:
    - .m2/

stages:
  - build
  - deploy

build:
  stage: build
  script:
    - java -version
    - mvn -v
    - mvn -B clean
    - mvn -B package -s settings.xml
  artifacts:
    paths:
      - target/antipets-*.jar

deploy:
  stage: deploy
  script:
    - java -version
    - mvn -v
    - mvn -B clean
    - mvn -B deploy -s settings.xml
  only:
    - master
